// $Id: FileExtensionIndication.java,v 1.3 2001/05/22 00:41:34 drager Exp $

package org.daml.validator.indications;

import java.util.Stack;

/**
 * Indication used when a namespace or imports URI contains a filename extension.
 */
public class FileExtensionIndication extends URIIndication {
    
    public static int defaultLevel = Indication.WARNING;

    /**
     * The file extension that was found.
     */
    public String extension = "";
    
    public FileExtensionIndication(String uri, Stack stack, String extension) 
    {
	super(uri, stack);
	level = defaultLevel;
	type = "URI File Extension";
	this.extension = extension;
    }

    public String getMessage()
    {
	String m = "It is preferred practice that a URI ("+uri+") should not include a file type extension ("+extension+").  ";
	m += "Note: The file extension is needed if the web server does not support transparent content negotiation.";
	return(m);
    }
	
}
