// $Id: ResourceIndication.java,v 1.2 2002/08/05 19:03:09 drager Exp $

package org.daml.validator.indications;

import com.hp.hpl.mesa.rdf.jena.model.*;
import java.util.*;

/**
 * This is a general indication used when the indication pertains to a resource and the
 * location is a list of statements.
 */
public class ResourceIndication extends Indication 
{

    public static int defaultLevel = Indication.ERROR;

    /**
     * The Resource
     */
    Resource resource;

    /**
     * The statements
     */
    Collection statements;

    public ResourceIndication(Resource resource, Collection statements, String message, String type)
    {
	super(message);
	this.resource = resource;
	this.statements = statements;
	this.type = type;
	level = defaultLevel;
    }

    public String getLocation()
    {
	return getLocation(statements);
    }

    public String getLocationXML()
	throws RDFException
    {
	return getLocationXML(statements);
    }
}

